#!/bin/bash



echo "mise à jour de "$(cat /etc/hostname)" vers la version 1.10" >> /mnt/logMAJ.txt

#
# Suppression paquets inutiles
#

#apt-get=crash, donc on utilise dpkg
dpkg -r scratch squeak-vm libjavascriptcoregtk-3.0-0 libwebkitgtk-3.0-0 libwebkitgtk-3.0-common squeak-plugins-scratch zenity zenity-common

#
# Application du patch
#
tar -zxvf /mnt/malinuxMAJ/1.10/maj.tgz --directory=/
cerr=$?
if [ $cerr -eq 0 ]; then
echo "OK: Mise à jour vers la version 1.10 terminée" >> /mnt/logMAJ.txt
else
echo "tar a renvoyé le code d'érreur $cerr lors de la mise à jour" >> /mnt/logMAJ.txt
fi

insserv /etc/init.d/switch_cpu_governor
bash /mnt/malinuxMAJ/1.10/repare_overscan.sh
